VWAP only
This data is included in the following Kaiko packages
Level 1 & Level 2 Data [Level 1 Aggregations Tier]
Level 1 & Level 2 Data [Level 1 Tick-Level Tier]
Level 1 & Level 2 Data [Level 2 Aggregations Tier]
Level 1 & Level 2 Data [Level 2 Tick-Level Tier]
CeFi spot ticker packs.
What is this endpoint for?
This endpoint retrieves aggregated VWAP (volume-weighted average price) history for an instrument on an exchange.
You can use this same endpoint to get data for all market types. Kaiko subscriptions are sold per market type.
Endpoint
https://<eu|us>.market-api.kaiko.io/v2/data/trades.v2/exchanges/{exchange}/spot/{instrument}/aggregations/vwapPath Parameters
region
Yes
Choose between eu and us.
exchange
Yes
Exchange code.
See
instrument_class
Yes
Instrument class.
See
instrument
Yes
Instrument code.
See
Query Parameters
end_time
No
Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.
interval
No
The interval parameter is suffixed with s, m, h or d to specify seconds, minutes, hours or days, respectively.
Any arbitrary value between one second and one day can be used, as long as it sums up to a maximum of 1 day. The suffixes are s (second), m (minute), h (hour) and d (day).
Default 1d.
page_size
No
(min: 1, default: 100, max: 100000). See Pagination Automatically included in continuation tokens.
start_time
No
Starting time in ISO 8601 (inclusive). Automatically included in continuation tokens.
sort
No
Return the data in ascending (asc) or descending (desc) order.
Default: desc
Automatically included in continuation tokens.
Fields
timestamp
Timestamp at which the interval begins.
price
VWAP. null when no trades reported.
Request examples
Response example
Last updated
Was this helpful?
